Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	iCalendar Calendaring and Scheduling protocols implementation
Name:		libical
Version:	0.44
Release:	1
License:	LGPL/MPL
URL: 		http://sourceforge.net/projects/freeassociation/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libical is an Open Source (MPL/LGPL) implementation of the IETF's iCalendar Calendaring and Scheduling protocols.
(RFC 2445, 2446, and 2447). It parses iCal components and provides C/C++/Python/Java APIs for
manipulating the component properties, parameters, and subcomponents.

%package	devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libical.so.*
%{_libdir}/libicalss.so.*
%{_libdir}/libicalvcal.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ical.h
%{_includedir}/libical
%{_libdir}/libical.a
%{_libdir}/libical.la
%{_libdir}/libical.so
%{_libdir}/libicalss.a
%{_libdir}/libicalss.la
%{_libdir}/libicalss.so
%{_libdir}/libicalvcal.a
%{_libdir}/libicalvcal.la
%{_libdir}/libicalvcal.so
%{_pkgconfig}/libical.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.44-1
- version update
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.43-1
- Version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.42-1
- Initial CCux package release
